Error de jobs de Veeam Backup con vSphere 6.7 U1

por | 05/11/2018

Error de backups con Veeam en vSphere 6.7 Update 1 – SOLUCIÓN

El 16 de Octubre salío la versión de vSphere 6.7 Update 1 con la gran novedad de tener 100% el Web client en HTML5. Todos muy contentos hasta que los que trabajamos con Veeam notamos que todos los trabajos de backups de máquinas virtuales fallaban. El problema es la comunicación entre Veeam y la API de vSphere 6.7 Update 1. Veeam todavía no soporta esta versión y por lo tanto hace que fallen todos los trabajos al no poder conectar bien. Veeam Backup ya ha anunciado que dará solución a éste problema con Veeam Backup & Replication 9.5 Update 4. Ya están trabajando en ello, pero por el momento Veeam recomienda no actualizar todavía a vSphere 6.7 Update 1.

El problema que fallen los trabajos es en cuanto actualicemos nuestro vCenter o VCSA a 6.7U1, no hace falta ni tener los hosts ESXi en 6.7U1. Os mostraré un FIX temporal hasta que salga el Update 4 de Veeam con la solución. Enlace para el KB de Veeam.

El error que nos da es el siguiente: Object reference not set to an instance of an object. y ni siquiera empieza nuestro backup.

Error de Veeam con vSphere 6.7 Update 1

 

Nos conectaremos a nuestro servidor Veeam y abrimos el registro de Windows con regedit

Crearemos un registro nuevo del tipo REG_MULTI_SZ con los siguientes valores.

Nombre: VMwareOverrideApiVersion

Value data: 6.7.1=6.7

Error de Veeam con vSphere 6.7 Update 1

Guardaremos y reiniciamos nuestro servidor. Básicamente le estamos engañando para que crea que se conecta a la API de 6.7.

 

 

Norman trabaja como Administrador de Sistemas con más de 8 años de experiencia en entornos Windows, Linux, VMware, SAN, Redes. | MCITP | CCNA | VCP |

No votes yet.
Please wait...

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *